title: Contract
type: object
description: Represents a contract
properties:
  id:
    type: string
  tenant:
    type: string
  owner:
    type: string
  ownerEmail:
    type: string
  customerName:
    type: string
  region:
    type: string
  sla:
    type: string
  effectiveDate:
    type: string
    format: '^\d{4}-\d{2}-\d{2}$'
  numDomains:
    type: integer
  traffic:
    type: number
  backupStorage:
    type: integer
  cdn:
    type: boolean
  waf:
    type: boolean
  gitlab:
    type: boolean
  prodCluster:
    $ref: './contract_cluster.yaml'
  integrationCluster:
    $ref: './contract_cluster.yaml'
  satellites:
    type: array
    items:
      $ref: './contract_cluster.yaml'